ASNVAL(1)

NAME
asnval - validate ASN.1 biological sequence records

SYNOPSIS
asnval [-] [-A] [-B] [-C N] [-D] [-E str] [-F] [-G] [-J] [-K] [-L filename] [-M] [-N flags] [-P N] [-Q N] [-R N] [-S N] [-T] [-U] [-X] [-Y] [-Z] [-a type] [-b] [-c] [-d path] [-e] [-f str] [-i filename] [-j] [-k] [-l] [-o filename] [-p path] [-q] [-r] [-u] [-v N] [-w] [-x str] [-y]

DESCRIPTION
asnval is a command-line tool to validate ASN.1-format biological sequence records.

OPTIONS
A summary of options is included below.

-   Print usage message

-A  Validate Alignments

-B  Validate Barcodes

-C N
    Max count

-D  Disable message suppression

-E str
    Only Error Code to Show

-F  Test network access

-G  GI lookup from accession

-J  Require ISO-JTA?

-K  Summary to error file

-L filename
    Log File

-M  Match locus_tag against General ID

-N flags
    Latitude-longitude / country flags
    0   none
    1   test state/province
    2   ignore water exception
    3   both of the above

-P N
    Highest severity for error to show:
    0   none
    1   informational
    2   warning
    3   error (default for -Q)
    4   grounds for rejection (default for -P, -R)

-Q N
    Lowest severity for error to show, per P

-R N
    Severity for error in return code, per P

-S N
    Skip count

-T  Use Threads

-U  Genome center submission

-X  Exon splice check

-Y  Check against old IDs

-Z  Remote CDS product fetch

-a type
    Input ASN.1 type:
    a   Automatic (default)
    c   Catenated
    z   Any
    e   seq-Entry
    b   Bioseq
    s   bioseq-Set
    m   seq-subMit
    t   baTch bioseq-set
    u   batch seq-sUbmit

-b  Batch file is Binary

-c  Batch file is Compressed

-d path
    Path to Indexed Binary ASN.1 Data

-e  Ignore transcription/translation Exceptions

-x str
    Substring filter

-i filename
    Single input file (standard input by default)

-j  Validator code performance test

-k  Local fetching

-l  Lock components in advance

-o filename
    Single output file

-p path
    Path to ASN.1 Files

-q  Taxonomy lookup

-r  Remote Fetching from ID

-u  Recurse

-v N
    Verbosity:
    1   Standard report (default)
    2   Accession / severity / code (space delimited)
    3   Accession / severity / code (tab delimited)
    4   XML report
    5   Accession / GI / severity / code (tab delimited)
    6   Logged report

-w  SeqSubmitParent flag

-x str
    File selection substring (.ent by default)

-y  Special indexer tests

AUTHOR
The National Center for Biotechnology Information.

SEE ALSO
asndisc(1), cleanasn(1), sequin(1).